Loading...
Searching...
No Matches
Gudhi::Persistence_representations::Vectorized_topological_data Class Reference

The concept Vectorized_topological_data describes the requirements for a type to implement a container that allows vectorization. More...

`#include <concept/Persistence_representations/Vectorized_topological_data.h>`

## Public Member Functions

size_t | number_of_vectorize_functions ()
std::vector< double > | vectorize (int number_of_function)

## Detailed Description

The concept Vectorized_topological_data describes the requirements for a type to implement a container that allows vectorization.

## Member Function Documentation

## number_of_vectorize_functions()

size_t Gudhi::Persistence_representations::Vectorized_topological_data::number_of_vectorize_functions | ( |  | ) |

There are various ways data can be vectorized. This function give us the number of functions for vectorization provided by a given class.

## vectorize()

std::vector< double > Gudhi::Persistence_representations::Vectorized_topological_data::vectorize | ( | int | number_of_function | ) |

This is a function to vectorize given container. The parameter of a function have to be between 0 and the value returned by number_of_vectorize_functions().

The documentation for this class was generated from the following file:

- concept/Persistence_representations/Vectorized_topological_data.h